
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SICK_PRINTXML_H
#define SICK_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/pomPrintXML.h"

#include "server/genBasicPrintXML.h"


#include "sickPosterLib.h"

/* Prototypes */
extern void printXML_struct_SICK_SEGS_POSTER_STR ( FILE *out, char *name,
     struct SICK_SEGS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_CONFIG_POSTER_STR ( FILE *out, char *name,
     struct SICK_CONFIG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SCANCART_POSTER_STR ( FILE *out, char *name,
     struct SICK_SCANCART_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SCANPOLAR_POSTER_STR ( FILE *out, char *name,
     struct SICK_SCANPOLAR_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_STR ( FILE *out, char *name,
     struct SICK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_LONELY_PTS ( FILE *out, char *name,
     struct SICK_LONELY_PTS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SEGS ( FILE *out, char *name,
     struct SICK_SEGS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SEG_HEADER ( FILE *out, char *name,
     struct SICK_SEG_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SEG_PARAMS ( FILE *out, char *name,
     struct SICK_SEG_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SEG ( FILE *out, char *name,
     struct SICK_SEG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SAVE_FILE_PARAMS ( FILE *out, char *name,
     struct SICK_SAVE_FILE_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SICK_SAVE_MODE ( FILE *out, char *name,
     enum SICK_SAVE_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_sick_parser_control_str ( FILE *out, char *name,
     struct sick_parser_control_str *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_CART_MEASURES_STR ( FILE *out, char *name,
     struct SICK_CART_MEASURES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_POLAR_MEASURES_STR ( FILE *out, char *name,
     struct SICK_POLAR_MEASURES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_MEASURES_STR ( FILE *out, char *name,
     struct SICK_MEASURES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_CART_MEASURES ( FILE *out, char *name,
     struct SICK_CART_MEASURES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_POINT ( FILE *out, char *name,
     struct SICK_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_MEASURES_HEADER_STR ( FILE *out, char *name,
     struct SICK_MEASURES_HEADER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_SPEED_STR ( FILE *out, char *name,
     struct SICK_SPEED_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_sick_user_str ( FILE *out, char *name,
     struct sick_user_str *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_sick_config_str ( FILE *out, char *name,
     struct sick_config_str *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_sick_baud_rate ( FILE *out, char *name,
     enum sick_baud_rate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_sick_measure_length_resolution ( FILE *out, char *name,
     enum sick_measure_length_resolution *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_sick_scanning_angle_resolution ( FILE *out, char *name,
     enum sick_scanning_angle_resolution *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_sick_scanning_angle_range ( FILE *out, char *name,
     enum sick_scanning_angle_range *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_sick_scan_modes ( FILE *out, char *name,
     enum sick_scan_modes *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_sick_control_modes ( FILE *out, char *name,
     enum sick_control_modes *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_sick_scan_task_state ( FILE *out, char *name,
     enum sick_scan_task_state *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_INIT_PARAMS ( FILE *out, char *name,
     struct SICK_INIT_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_EXPORT_DATA ( FILE *out, char *name,
     struct SICK_EXPORT_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SICK_ACQUISITION_WAY ( FILE *out, char *name,
     enum SICK_ACQUISITION_WAY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SICK_FRAME ( FILE *out, char *name,
     enum SICK_FRAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SICK_STRING ( FILE *out, char *name,
     struct SICK_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SICK_BOOL ( FILE *out, char *name,
     enum SICK_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_SICK_BOOL ( FILE *out, char *name,
     SICK_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_STRING ( FILE *out, char *name,
     SICK_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_FRAME ( FILE *out, char *name,
     SICK_FRAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_ACQUISITION_WAY ( FILE *out, char *name,
     SICK_ACQUISITION_WAY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_EXPORT_DATA ( FILE *out, char *name,
     SICK_EXPORT_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_INIT_PARAMS ( FILE *out, char *name,
     SICK_INIT_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SCAN_TASK_STATE ( FILE *out, char *name,
     SICK_SCAN_TASK_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_CONTROL_MODES ( FILE *out, char *name,
     SICK_CONTROL_MODES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SCAN_MODES ( FILE *out, char *name,
     SICK_SCAN_MODES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SCANNING_ANGLE_RANGE ( FILE *out, char *name,
     SICK_SCANNING_ANGLE_RANGE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SCANNING_ANGLE_RESOLUTION ( FILE *out, char *name,
     SICK_SCANNING_ANGLE_RESOLUTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_MEASURE_LENGTH_RESOLUTION ( FILE *out, char *name,
     SICK_MEASURE_LENGTH_RESOLUTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_BAUD_RATE ( FILE *out, char *name,
     SICK_BAUD_RATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_CONFIG_STR ( FILE *out, char *name,
     SICK_CONFIG_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_USER_STR ( FILE *out, char *name,
     SICK_USER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SPEED_STR ( FILE *out, char *name,
     SICK_SPEED_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_MEASURES_HEADER_STR ( FILE *out, char *name,
     SICK_MEASURES_HEADER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_POINT ( FILE *out, char *name,
     SICK_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_CART_MEASURES ( FILE *out, char *name,
     SICK_CART_MEASURES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_MEASURES_STR ( FILE *out, char *name,
     SICK_MEASURES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_POLAR_MEASURES_STR ( FILE *out, char *name,
     SICK_POLAR_MEASURES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_CART_MEASURES_STR ( FILE *out, char *name,
     SICK_CART_MEASURES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_PARSER_CONTROL_STR ( FILE *out, char *name,
     SICK_PARSER_CONTROL_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SAVE_MODE ( FILE *out, char *name,
     SICK_SAVE_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SAVE_FILE_PARAMS ( FILE *out, char *name,
     SICK_SAVE_FILE_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SEG ( FILE *out, char *name,
     SICK_SEG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SEG_PARAMS ( FILE *out, char *name,
     SICK_SEG_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SEG_HEADER ( FILE *out, char *name,
     SICK_SEG_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SEGS ( FILE *out, char *name,
     SICK_SEGS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_LONELY_PTS ( FILE *out, char *name,
     SICK_LONELY_PTS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_STR ( FILE *out, char *name,
     SICK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SCANPOLAR_POSTER_STR ( FILE *out, char *name,
     SICK_SCANPOLAR_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SCANCART_POSTER_STR ( FILE *out, char *name,
     SICK_SCANCART_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_CONFIG_POSTER_STR ( FILE *out, char *name,
     SICK_CONFIG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SICK_SEGS_POSTER_STR ( FILE *out, char *name,
     SICK_SEGS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* SICK_PRINT_XML_H */

