
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SICK_SCAN_H
#define SICK_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"


/* Structures du module */
#include "server/sickPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_SICK_SEGS_POSTER_STR (char** buf, struct SICK_SEGS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_CONFIG_POSTER_STR (char** buf, struct SICK_CONFIG_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_SCANCART_POSTER_STR (char** buf, struct SICK_SCANCART_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_SCANPOLAR_POSTER_STR (char** buf, struct SICK_SCANPOLAR_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_STR (char** buf, struct SICK_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_LONELY_PTS (char** buf, struct SICK_LONELY_PTS *x, int nDim, int *dims );
int scan_buf_struct_SICK_SEGS (char** buf, struct SICK_SEGS *x, int nDim, int *dims );
int scan_buf_struct_SICK_SEG_HEADER (char** buf, struct SICK_SEG_HEADER *x, int nDim, int *dims );
int scan_buf_struct_SICK_SEG_PARAMS (char** buf, struct SICK_SEG_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_SICK_SEG (char** buf, struct SICK_SEG *x, int nDim, int *dims );
int scan_buf_struct_SICK_SAVE_FILE_PARAMS (char** buf, struct SICK_SAVE_FILE_PARAMS *x, int nDim, int *dims );
int scan_buf_enum_SICK_SAVE_MODE (char** buf, enum SICK_SAVE_MODE *x, int nDim, int *dims );
int scan_buf_struct_sick_parser_control_str (char** buf, struct sick_parser_control_str *x, int nDim, int *dims );
int scan_buf_struct_SICK_CART_MEASURES_STR (char** buf, struct SICK_CART_MEASURES_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_POLAR_MEASURES_STR (char** buf, struct SICK_POLAR_MEASURES_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_MEASURES_STR (char** buf, struct SICK_MEASURES_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_CART_MEASURES (char** buf, struct SICK_CART_MEASURES *x, int nDim, int *dims );
int scan_buf_struct_SICK_POINT (char** buf, struct SICK_POINT *x, int nDim, int *dims );
int scan_buf_struct_SICK_MEASURES_HEADER_STR (char** buf, struct SICK_MEASURES_HEADER_STR *x, int nDim, int *dims );
int scan_buf_struct_SICK_SPEED_STR (char** buf, struct SICK_SPEED_STR *x, int nDim, int *dims );
int scan_buf_struct_sick_user_str (char** buf, struct sick_user_str *x, int nDim, int *dims );
int scan_buf_struct_sick_config_str (char** buf, struct sick_config_str *x, int nDim, int *dims );
int scan_buf_enum_sick_baud_rate (char** buf, enum sick_baud_rate *x, int nDim, int *dims );
int scan_buf_enum_sick_measure_length_resolution (char** buf, enum sick_measure_length_resolution *x, int nDim, int *dims );
int scan_buf_enum_sick_scanning_angle_resolution (char** buf, enum sick_scanning_angle_resolution *x, int nDim, int *dims );
int scan_buf_enum_sick_scanning_angle_range (char** buf, enum sick_scanning_angle_range *x, int nDim, int *dims );
int scan_buf_enum_sick_scan_modes (char** buf, enum sick_scan_modes *x, int nDim, int *dims );
int scan_buf_enum_sick_control_modes (char** buf, enum sick_control_modes *x, int nDim, int *dims );
int scan_buf_enum_sick_scan_task_state (char** buf, enum sick_scan_task_state *x, int nDim, int *dims );
int scan_buf_struct_SICK_INIT_PARAMS (char** buf, struct SICK_INIT_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_SICK_EXPORT_DATA (char** buf, struct SICK_EXPORT_DATA *x, int nDim, int *dims );
int scan_buf_enum_SICK_ACQUISITION_WAY (char** buf, enum SICK_ACQUISITION_WAY *x, int nDim, int *dims );
int scan_buf_enum_SICK_FRAME (char** buf, enum SICK_FRAME *x, int nDim, int *dims );
int scan_buf_struct_SICK_STRING (char** buf, struct SICK_STRING *x, int nDim, int *dims );
int scan_buf_enum_SICK_BOOL (char** buf, enum SICK_BOOL *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_SICK_BOOL (char** buf, SICK_BOOL *x, int nDim, int *dims );
int scan_buf_SICK_STRING (char** buf, SICK_STRING *x, int nDim, int *dims );
int scan_buf_SICK_FRAME (char** buf, SICK_FRAME *x, int nDim, int *dims );
int scan_buf_SICK_ACQUISITION_WAY (char** buf, SICK_ACQUISITION_WAY *x, int nDim, int *dims );
int scan_buf_SICK_EXPORT_DATA (char** buf, SICK_EXPORT_DATA *x, int nDim, int *dims );
int scan_buf_SICK_INIT_PARAMS (char** buf, SICK_INIT_PARAMS *x, int nDim, int *dims );
int scan_buf_SICK_SCAN_TASK_STATE (char** buf, SICK_SCAN_TASK_STATE *x, int nDim, int *dims );
int scan_buf_SICK_CONTROL_MODES (char** buf, SICK_CONTROL_MODES *x, int nDim, int *dims );
int scan_buf_SICK_SCAN_MODES (char** buf, SICK_SCAN_MODES *x, int nDim, int *dims );
int scan_buf_SICK_SCANNING_ANGLE_RANGE (char** buf, SICK_SCANNING_ANGLE_RANGE *x, int nDim, int *dims );
int scan_buf_SICK_SCANNING_ANGLE_RESOLUTION (char** buf, SICK_SCANNING_ANGLE_RESOLUTION *x, int nDim, int *dims );
int scan_buf_SICK_MEASURE_LENGTH_RESOLUTION (char** buf, SICK_MEASURE_LENGTH_RESOLUTION *x, int nDim, int *dims );
int scan_buf_SICK_BAUD_RATE (char** buf, SICK_BAUD_RATE *x, int nDim, int *dims );
int scan_buf_SICK_CONFIG_STR (char** buf, SICK_CONFIG_STR *x, int nDim, int *dims );
int scan_buf_SICK_USER_STR (char** buf, SICK_USER_STR *x, int nDim, int *dims );
int scan_buf_SICK_SPEED_STR (char** buf, SICK_SPEED_STR *x, int nDim, int *dims );
int scan_buf_SICK_MEASURES_HEADER_STR (char** buf, SICK_MEASURES_HEADER_STR *x, int nDim, int *dims );
int scan_buf_SICK_POINT (char** buf, SICK_POINT *x, int nDim, int *dims );
int scan_buf_SICK_CART_MEASURES (char** buf, SICK_CART_MEASURES *x, int nDim, int *dims );
int scan_buf_SICK_MEASURES_STR (char** buf, SICK_MEASURES_STR *x, int nDim, int *dims );
int scan_buf_SICK_POLAR_MEASURES_STR (char** buf, SICK_POLAR_MEASURES_STR *x, int nDim, int *dims );
int scan_buf_SICK_CART_MEASURES_STR (char** buf, SICK_CART_MEASURES_STR *x, int nDim, int *dims );
int scan_buf_SICK_PARSER_CONTROL_STR (char** buf, SICK_PARSER_CONTROL_STR *x, int nDim, int *dims );
int scan_buf_SICK_SAVE_MODE (char** buf, SICK_SAVE_MODE *x, int nDim, int *dims );
int scan_buf_SICK_SAVE_FILE_PARAMS (char** buf, SICK_SAVE_FILE_PARAMS *x, int nDim, int *dims );
int scan_buf_SICK_SEG (char** buf, SICK_SEG *x, int nDim, int *dims );
int scan_buf_SICK_SEG_PARAMS (char** buf, SICK_SEG_PARAMS *x, int nDim, int *dims );
int scan_buf_SICK_SEG_HEADER (char** buf, SICK_SEG_HEADER *x, int nDim, int *dims );
int scan_buf_SICK_SEGS (char** buf, SICK_SEGS *x, int nDim, int *dims );
int scan_buf_SICK_LONELY_PTS (char** buf, SICK_LONELY_PTS *x, int nDim, int *dims );
int scan_buf_SICK_STR (char** buf, SICK_STR *x, int nDim, int *dims );
int scan_buf_SICK_SCANPOLAR_POSTER_STR (char** buf, SICK_SCANPOLAR_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SICK_SCANCART_POSTER_STR (char** buf, SICK_SCANCART_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SICK_CONFIG_POSTER_STR (char** buf, SICK_CONFIG_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SICK_SEGS_POSTER_STR (char** buf, SICK_SEGS_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* SICK_SCAN_H */

