
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] sickInstall] >= 0 } {
    interp expose {} sickInstall
}

proc ::sickInstall { name } {
    foreach rqst { "Init" "SetPosTagging" "SetSickPosOnRobot" "InitParamsGet" "Reset" "ExportData" "ExportDataGet" "OneShoot" "ContinuousShot" "SickAcqConfig" "SickAcqConfigGet" "SetSynchroTunning" "GetSynchroTunning" "GetSegmentationParams" "SetSegmentationParams" "GetSickDataFiles" "Save" "SetSickDataFiles" "SetEnvFileName" "GetEnvFileName" "Log" "StopLog" "ScanPolarHeaderPosterRead" "ScanPolarRhoPosterRead" "ScanCartHeaderPosterRead" "ScanCartPointsPosterRead" "ConfigStatePosterRead" "ConfigSickModePosterRead" "ConfigConfigPosterRead" "SegsHeaderPosterRead" "SegsSegsPosterRead" "SegsPointsPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} sick$rqst $name
    }
}

interp hide {} sickInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] sickInit] >= 0 } {
    interp expose {} sickInit
}
if { [lsearch [interp hidden] sickInitFormatOutput] >= 0 } {
    interp expose {} sickInitFormatOutput
}

proc ::sickInit { name args } {
    set format {}
    lappend format [list { "SICK_ACQ_REPLAY_FILES" "SICK_ACQ_SIMUL_ENV" "SICK_ACQ_REAL" } "Real, replay or simul" "SICK_ACQ_REAL" ]
    lappend format [list int "unused" 0 ]
    lappend format [list { "SICK_TRUE" "SICK_FALSE" } "Export echos in polar" "SICK_TRUE" ]
    lappend format [list { "SICK_TRUE" "SICK_FALSE" } "Export echos in cartesian" "SICK_FALSE" ]
    lappend format [list { "SICK_TRUE" "SICK_FALSE" } "Export segs" "SICK_TRUE" ]
    lappend format [list { "SICK_GLOBAL_FRAME" "SICK_ROBOT_FRAME" "SICK_SICK_FRAME" } "Frame for cart echos and segs" "SICK_ROBOT_FRAME" ]
    lappend format [list string "Name of the poster POM_SENSOR_POS (or POM_MEPOS or POM_POS, but then use request SetSickPosOnRobot)" "pomSickFramePos" ]
    lappend format [list string "Serial port" "/dev/ttyS1" ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"How to get sick data : real, simul env, read sick data file. How to tag sick pos. If you do not provide a POM_SENSOR_POS poster, then at least use sickSetSickPosOnRobot request. You acn also provide a poster later on with request SetPosTagging." \
	"SICK_INIT_PARAMS\n| SICK_ACQUISITION_WAY acqWay\n| int unused\n| SICK_EXPORT_DATA\n| | SICK_BOOL exportPolarPoints\n| | SICK_BOOL exportCartesianPoints\n| | SICK_BOOL exportSegments\n| | SICK_FRAME cartesianFrame\n| SICK_STRING\n| | char name\[64\]\n| SICK_STRING\n| | char name\[64\]\n" \
	8 \
	$format \
	$args ]
}


proc ::sickInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickInit
interp hide {} sickInitFormatOutput





# SetPosTagging ----------------------------------------------------------

if { [lsearch [interp hidden] sickSetPosTagging] >= 0 } {
    interp expose {} sickSetPosTagging
}
if { [lsearch [interp hidden] sickSetPosTaggingFormatOutput] >= 0 } {
    interp expose {} sickSetPosTaggingFormatOutput
}

proc ::sickSetPosTagging { name args } {
    set format {}
    lappend format [list string "Name of the poster POM_SENSOR_POS" "pomSickFramePos" ]

    return [ ::cs::rqstSend "${name}" "SetPosTagging" \
	"Redefines the poster where to read the current robot pos. If you do not provide a POM_SENSOR_POS poster, then at least use sickSetSickPosOnRobot request." \
	"SICK_STRING\n| char name\[64\]\n" \
	1 \
	$format \
	$args ]
}


proc ::sickSetPosTaggingFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSetPosTagging
interp hide {} sickSetPosTaggingFormatOutput





# SetSickPosOnRobot ----------------------------------------------------------

if { [lsearch [interp hidden] sickSetSickPosOnRobot] >= 0 } {
    interp expose {} sickSetSickPosOnRobot
}
if { [lsearch [interp hidden] sickSetSickPosOnRobotFormatOutput] >= 0 } {
    interp expose {} sickSetSickPosOnRobotFormatOutput
}

proc ::sickSetSickPosOnRobot { name args } {
    set format {}
    lappend format [list double "sickPosOnRobot.yaw" 0.0 ]
    lappend format [list double "sickPosOnRobot.pitch" 0.0 ]
    lappend format [list double "sickPosOnRobot.roll" 0.0 ]
    lappend format [list double "sickPosOnRobot.x" 0.0 ]
    lappend format [list double "sickPosOnRobot.y" 0.0 ]
    lappend format [list double "sickPosOnRobot.z" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetSickPosOnRobot" \
	"Definies the position of the sick on the robot if no POM_SENSOR_POS poster is given" \
	"POM_EULER\n| double yaw\n| double pitch\n| double roll\n| double x\n| double y\n| double z\n" \
	6 \
	$format \
	$args ]
}


proc ::sickSetSickPosOnRobotFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSetSickPosOnRobot
interp hide {} sickSetSickPosOnRobotFormatOutput





# InitParamsGet ----------------------------------------------------------

if { [lsearch [interp hidden] sickInitParamsGet] >= 0 } {
    interp expose {} sickInitParamsGet
}
if { [lsearch [interp hidden] sickInitParamsGetFormatOutput] >= 0 } {
    interp expose {} sickInitParamsGetFormatOutput
}

proc ::sickInitParamsGet { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "InitParamsGet" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickInitParamsGetFormatOutput { list } {
    set format { {} status { } { initParams { } acqWay { } unused { } { exportData { } exportPolarPoints { } exportCartesianPoints { } exportSegments { } cartesianFrame } { } { sickPosPosterName { } name } { } { serialPort { } name } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickInitParamsGet
interp hide {} sickInitParamsGetFormatOutput





# Reset ----------------------------------------------------------

if { [lsearch [interp hidden] sickReset] >= 0 } {
    interp expose {} sickReset
}
if { [lsearch [interp hidden] sickResetFormatOutput] >= 0 } {
    interp expose {} sickResetFormatOutput
}

proc ::sickReset { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Reset" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickResetFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickReset
interp hide {} sickResetFormatOutput





# ExportData ----------------------------------------------------------

if { [lsearch [interp hidden] sickExportData] >= 0 } {
    interp expose {} sickExportData
}
if { [lsearch [interp hidden] sickExportDataFormatOutput] >= 0 } {
    interp expose {} sickExportDataFormatOutput
}

proc ::sickExportData { name args } {
    set format {}
    lappend format [list { "SICK_TRUE" "SICK_FALSE" } "exportData.exportPolarPoints" "" ]
    lappend format [list { "SICK_TRUE" "SICK_FALSE" } "exportData.exportCartesianPoints" "" ]
    lappend format [list { "SICK_TRUE" "SICK_FALSE" } "exportData.exportSegments" "" ]
    lappend format [list { "SICK_GLOBAL_FRAME" "SICK_ROBOT_FRAME" "SICK_SICK_FRAME" } "exportData.cartesianFrame" "" ]

    return [ ::cs::rqstSend "${name}" "ExportData" \
	"<some doc>" \
	"SICK_EXPORT_DATA\n| SICK_BOOL exportPolarPoints\n| SICK_BOOL exportCartesianPoints\n| SICK_BOOL exportSegments\n| SICK_FRAME cartesianFrame\n" \
	4 \
	$format \
	$args ]
}


proc ::sickExportDataFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickExportData
interp hide {} sickExportDataFormatOutput





# ExportDataGet ----------------------------------------------------------

if { [lsearch [interp hidden] sickExportDataGet] >= 0 } {
    interp expose {} sickExportDataGet
}
if { [lsearch [interp hidden] sickExportDataGetFormatOutput] >= 0 } {
    interp expose {} sickExportDataGetFormatOutput
}

proc ::sickExportDataGet { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "ExportDataGet" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickExportDataGetFormatOutput { list } {
    set format { {} status { } { exportData { } exportPolarPoints { } exportCartesianPoints { } exportSegments { } cartesianFrame } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickExportDataGet
interp hide {} sickExportDataGetFormatOutput





# OneShoot ----------------------------------------------------------

if { [lsearch [interp hidden] sickOneShoot] >= 0 } {
    interp expose {} sickOneShoot
}
if { [lsearch [interp hidden] sickOneShootFormatOutput] >= 0 } {
    interp expose {} sickOneShootFormatOutput
}

proc ::sickOneShoot { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "OneShoot" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickOneShootFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickOneShoot
interp hide {} sickOneShootFormatOutput





# ContinuousShot ----------------------------------------------------------

if { [lsearch [interp hidden] sickContinuousShot] >= 0 } {
    interp expose {} sickContinuousShot
}
if { [lsearch [interp hidden] sickContinuousShotFormatOutput] >= 0 } {
    interp expose {} sickContinuousShotFormatOutput
}

proc ::sickContinuousShot { name args } {
    set format {}
    lappend format [list { "SICK_CONTINUOUS_SCAN" "SICK_PERIODIC_SCAN" } "scan_mode" "" ]

    return [ ::cs::rqstSend "${name}" "ContinuousShot" \
	"<some doc>" \
	"SICK_SCAN_MODES scan_mode\n" \
	1 \
	$format \
	$args ]
}


proc ::sickContinuousShotFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickContinuousShot
interp hide {} sickContinuousShotFormatOutput





# SickAcqConfig ----------------------------------------------------------

if { [lsearch [interp hidden] sickSickAcqConfig] >= 0 } {
    interp expose {} sickSickAcqConfig
}
if { [lsearch [interp hidden] sickSickAcqConfigFormatOutput] >= 0 } {
    interp expose {} sickSickAcqConfigFormatOutput
}

proc ::sickSickAcqConfig { name args } {
    set format {}
    lappend format [list { "SICK_SCAN_180_DEG" "SICK_SCAN_100_DEG" } "user_config.angle_range" "" ]
    lappend format [list { "SICK_SCAN_HALF_DEG_RESOLUTION" "SICK_SCAN_ONE_DEG_RESOLUTION" } "user_config.angle_resolution" "" ]
    lappend format [list { "SICK_MEASURE_IN_10CM" "SICK_MEASURE_IN_CM" "SICK_MEASURE_IN_MM" } "user_config.length_resolution" "" ]
    lappend format [list { "SICK_38400_BAUD" "SICK_19200_BAUD" "SICK_9600_BAUD" } "user_config.baud" "" ]

    return [ ::cs::rqstSend "${name}" "SickAcqConfig" \
	"** undocumented **" \
	"SICK_USER_STR\n| SICK_SCANNING_ANGLE_RANGE angle_range\n| SICK_SCANNING_ANGLE_RESOLUTION angle_resolution\n| SICK_MEASURE_LENGTH_RESOLUTION length_resolution\n| SICK_BAUD_RATE baud\n" \
	4 \
	$format \
	$args ]
}


proc ::sickSickAcqConfigFormatOutput { list } {
    set format { {} status { } { sick_config { } control_mode { } angle_range { } angle_resolution { } length_resolution { } baud { } length_range_max } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSickAcqConfig
interp hide {} sickSickAcqConfigFormatOutput





# SickAcqConfigGet ----------------------------------------------------------

if { [lsearch [interp hidden] sickSickAcqConfigGet] >= 0 } {
    interp expose {} sickSickAcqConfigGet
}
if { [lsearch [interp hidden] sickSickAcqConfigGetFormatOutput] >= 0 } {
    interp expose {} sickSickAcqConfigGetFormatOutput
}

proc ::sickSickAcqConfigGet { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "SickAcqConfigGet" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickSickAcqConfigGetFormatOutput { list } {
    set format { {} status { } { user_config { } angle_range { } angle_resolution { } length_resolution { } baud } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSickAcqConfigGet
interp hide {} sickSickAcqConfigGetFormatOutput





# SetSynchroTunning ----------------------------------------------------------

if { [lsearch [interp hidden] sickSetSynchroTunning] >= 0 } {
    interp expose {} sickSetSynchroTunning
}
if { [lsearch [interp hidden] sickSetSynchroTunningFormatOutput] >= 0 } {
    interp expose {} sickSetSynchroTunningFormatOutput
}

proc ::sickSetSynchroTunning { name args } {
    set format {}
    lappend format [list int "synchroPosTunning" 0 ]

    return [ ::cs::rqstSend "${name}" "SetSynchroTunning" \
	"** undocumented **" \
	"int synchroPosTunning\n" \
	1 \
	$format \
	$args ]
}


proc ::sickSetSynchroTunningFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSetSynchroTunning
interp hide {} sickSetSynchroTunningFormatOutput





# GetSynchroTunning ----------------------------------------------------------

if { [lsearch [interp hidden] sickGetSynchroTunning] >= 0 } {
    interp expose {} sickGetSynchroTunning
}
if { [lsearch [interp hidden] sickGetSynchroTunningFormatOutput] >= 0 } {
    interp expose {} sickGetSynchroTunningFormatOutput
}

proc ::sickGetSynchroTunning { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetSynchroTunning" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickGetSynchroTunningFormatOutput { list } {
    set format { {} status { } synchroPosTunning }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickGetSynchroTunning
interp hide {} sickGetSynchroTunningFormatOutput





# GetSegmentationParams ----------------------------------------------------------

if { [lsearch [interp hidden] sickGetSegmentationParams] >= 0 } {
    interp expose {} sickGetSegmentationParams
}
if { [lsearch [interp hidden] sickGetSegmentationParamsFormatOutput] >= 0 } {
    interp expose {} sickGetSegmentationParamsFormatOutput
}

proc ::sickGetSegmentationParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetSegmentationParams" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickGetSegmentationParamsFormatOutput { list } {
    set format { {} status { } { segParams { } getVariances { } nbMinSegPts { } leastSquareThres { } distMaxSegPts } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickGetSegmentationParams
interp hide {} sickGetSegmentationParamsFormatOutput





# SetSegmentationParams ----------------------------------------------------------

if { [lsearch [interp hidden] sickSetSegmentationParams] >= 0 } {
    interp expose {} sickSetSegmentationParams
}
if { [lsearch [interp hidden] sickSetSegmentationParamsFormatOutput] >= 0 } {
    interp expose {} sickSetSegmentationParamsFormatOutput
}

proc ::sickSetSegmentationParams { name args } {
    set format {}
    lappend format [list { "SICK_TRUE" "SICK_FALSE" } "segParams.getVariances" "" ]
    lappend format [list int "segParams.nbMinSegPts" 0 ]
    lappend format [list double "segParams.leastSquareThres" 0.0 ]
    lappend format [list double "segParams.distMaxSegPts" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetSegmentationParams" \
	"** undocumented **" \
	"SICK_SEG_PARAMS\n| SICK_BOOL getVariances\n| int nbMinSegPts\n| double leastSquareThres\n| double distMaxSegPts\n" \
	4 \
	$format \
	$args ]
}


proc ::sickSetSegmentationParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSetSegmentationParams
interp hide {} sickSetSegmentationParamsFormatOutput





# GetSickDataFiles ----------------------------------------------------------

if { [lsearch [interp hidden] sickGetSickDataFiles] >= 0 } {
    interp expose {} sickGetSickDataFiles
}
if { [lsearch [interp hidden] sickGetSickDataFilesFormatOutput] >= 0 } {
    interp expose {} sickGetSickDataFilesFormatOutput
}

proc ::sickGetSickDataFiles { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetSickDataFiles" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickGetSickDataFilesFormatOutput { list } {
    set format { {} status { } { saveFileParams { } baseName { } num { } saveMode { } saveContinuousFrequency { } unused } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickGetSickDataFiles
interp hide {} sickGetSickDataFilesFormatOutput





# Save ----------------------------------------------------------

if { [lsearch [interp hidden] sickSave] >= 0 } {
    interp expose {} sickSave
}
if { [lsearch [interp hidden] sickSaveFormatOutput] >= 0 } {
    interp expose {} sickSaveFormatOutput
}

proc ::sickSave { name args } {
    set format {}
    lappend format [list string "saveFileParams.baseName" "" ]
    lappend format [list int "saveFileParams.num" 0 ]
    lappend format [list { "SICK_SAVE_CONTINUOUS_MOVE" "SICK_SAVE_CONTINUOUS" "SICK_SAVE_ONCE" } "saveFileParams.saveMode" "" ]
    lappend format [list int "saveFileParams.saveContinuousFrequency" 0 ]
    lappend format [list int "saveFileParams.unused" 0 ]

    return [ ::cs::rqstSend "${name}" "Save" \
	"** undocumented **" \
	"SICK_SAVE_FILE_PARAMS\n| char baseName\[256\]\n| int num\n| SICK_SAVE_MODE saveMode\n| int saveContinuousFrequency\n| int unused\n" \
	5 \
	$format \
	$args ]
}


proc ::sickSaveFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSave
interp hide {} sickSaveFormatOutput





# SetSickDataFiles ----------------------------------------------------------

if { [lsearch [interp hidden] sickSetSickDataFiles] >= 0 } {
    interp expose {} sickSetSickDataFiles
}
if { [lsearch [interp hidden] sickSetSickDataFilesFormatOutput] >= 0 } {
    interp expose {} sickSetSickDataFilesFormatOutput
}

proc ::sickSetSickDataFiles { name args } {
    set format {}
    lappend format [list string "saveFileParams.baseName" "" ]
    lappend format [list int "saveFileParams.num" 0 ]
    lappend format [list { "SICK_SAVE_CONTINUOUS_MOVE" "SICK_SAVE_CONTINUOUS" "SICK_SAVE_ONCE" } "saveFileParams.saveMode" "" ]
    lappend format [list int "saveFileParams.saveContinuousFrequency" 0 ]
    lappend format [list int "saveFileParams.unused" 0 ]

    return [ ::cs::rqstSend "${name}" "SetSickDataFiles" \
	"** undocumented **" \
	"SICK_SAVE_FILE_PARAMS\n| char baseName\[256\]\n| int num\n| SICK_SAVE_MODE saveMode\n| int saveContinuousFrequency\n| int unused\n" \
	5 \
	$format \
	$args ]
}


proc ::sickSetSickDataFilesFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSetSickDataFiles
interp hide {} sickSetSickDataFilesFormatOutput





# SetEnvFileName ----------------------------------------------------------

if { [lsearch [interp hidden] sickSetEnvFileName] >= 0 } {
    interp expose {} sickSetEnvFileName
}
if { [lsearch [interp hidden] sickSetEnvFileNameFormatOutput] >= 0 } {
    interp expose {} sickSetEnvFileNameFormatOutput
}

proc ::sickSetEnvFileName { name args } {
    set format {}
    lappend format [list string "envFileName.name" "" ]

    return [ ::cs::rqstSend "${name}" "SetEnvFileName" \
	"** undocumented **" \
	"GEN_STRING256\n| char name\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::sickSetEnvFileNameFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSetEnvFileName
interp hide {} sickSetEnvFileNameFormatOutput





# GetEnvFileName ----------------------------------------------------------

if { [lsearch [interp hidden] sickGetEnvFileName] >= 0 } {
    interp expose {} sickGetEnvFileName
}
if { [lsearch [interp hidden] sickGetEnvFileNameFormatOutput] >= 0 } {
    interp expose {} sickGetEnvFileNameFormatOutput
}

proc ::sickGetEnvFileName { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetEnvFileName" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickGetEnvFileNameFormatOutput { list } {
    set format { {} status { } { envFileName { } name } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickGetEnvFileName
interp hide {} sickGetEnvFileNameFormatOutput





# Log ----------------------------------------------------------

if { [lsearch [interp hidden] sickLog] >= 0 } {
    interp expose {} sickLog
}
if { [lsearch [interp hidden] sickLogFormatOutput] >= 0 } {
    interp expose {} sickLogFormatOutput
}

proc ::sickLog { name args } {
    set format {}
    lappend format [list string "logFileName.name" "" ]

    return [ ::cs::rqstSend "${name}" "Log" \
	"Log Sick data" \
	"GEN_STRING128\n| char name\[128\]\n" \
	1 \
	$format \
	$args ]
}


proc ::sickLogFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickLog
interp hide {} sickLogFormatOutput





# StopLog ----------------------------------------------------------

if { [lsearch [interp hidden] sickStopLog] >= 0 } {
    interp expose {} sickStopLog
}
if { [lsearch [interp hidden] sickStopLogFormatOutput] >= 0 } {
    interp expose {} sickStopLogFormatOutput
}

proc ::sickStopLog { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "StopLog" \
	"Stop Logging data" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::sickStopLogFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickStopLog
interp hide {} sickStopLogFormatOutput





# ScanPolarHeader ----------------------------------------------------------

if { [lsearch [interp hidden] sickScanPolarHeaderPosterRead] >= 0 } {
    interp expose {} sickScanPolarHeaderPosterRead
}
if { [lsearch [interp hidden] sickScanPolarHeaderPosterFormatOutput] >= 0 } {
    interp expose {} sickScanPolarHeaderPosterFormatOutput
}

proc ::sickScanPolarHeaderPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ScanPolarHeader" \
	"SICK_MEASURES_HEADER_STR\n| int np\n| SICK_FRAME frame\n| unsigned int send_time\n| unsigned int rcv_time\n| double theta_min\n| double dtheta\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n" \
	$args ]
}


proc ::sickScanPolarHeaderPosterFormatOutput { list } {
    set format { {} status { } { Header { } np { } frame { } send_time { } rcv_time { } theta_min { } dtheta { } { sickPomPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickScanPolarHeaderPosterRead
interp hide {} sickScanPolarHeaderPosterFormatOutput





# ScanPolarRho ----------------------------------------------------------

if { [lsearch [interp hidden] sickScanPolarRhoPosterRead] >= 0 } {
    interp expose {} sickScanPolarRhoPosterRead
}
if { [lsearch [interp hidden] sickScanPolarRhoPosterFormatOutput] >= 0 } {
    interp expose {} sickScanPolarRhoPosterFormatOutput
}

proc ::sickScanPolarRhoPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ScanPolarRho" \
	"double Rho\[361\]\n" \
	$args ]
}


proc ::sickScanPolarRhoPosterFormatOutput { list } {
    set format { {} status { 361 } Rho }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickScanPolarRhoPosterRead
interp hide {} sickScanPolarRhoPosterFormatOutput





# ScanCartHeader ----------------------------------------------------------

if { [lsearch [interp hidden] sickScanCartHeaderPosterRead] >= 0 } {
    interp expose {} sickScanCartHeaderPosterRead
}
if { [lsearch [interp hidden] sickScanCartHeaderPosterFormatOutput] >= 0 } {
    interp expose {} sickScanCartHeaderPosterFormatOutput
}

proc ::sickScanCartHeaderPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ScanCartHeader" \
	"SICK_MEASURES_HEADER_STR\n| int np\n| SICK_FRAME frame\n| unsigned int send_time\n| unsigned int rcv_time\n| double theta_min\n| double dtheta\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n" \
	$args ]
}


proc ::sickScanCartHeaderPosterFormatOutput { list } {
    set format { {} status { } { Header { } np { } frame { } send_time { } rcv_time { } theta_min { } dtheta { } { sickPomPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickScanCartHeaderPosterRead
interp hide {} sickScanCartHeaderPosterFormatOutput





# ScanCartPoints ----------------------------------------------------------

if { [lsearch [interp hidden] sickScanCartPointsPosterRead] >= 0 } {
    interp expose {} sickScanCartPointsPosterRead
}
if { [lsearch [interp hidden] sickScanCartPointsPosterFormatOutput] >= 0 } {
    interp expose {} sickScanCartPointsPosterFormatOutput
}

proc ::sickScanCartPointsPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ScanCartPoints" \
	"SICK_POINT\n| double x\n| double y\n" \
	$args ]
}


proc ::sickScanCartPointsPosterFormatOutput { list } {
    set format { {} status { 361 } { Points { } x { } y } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickScanCartPointsPosterRead
interp hide {} sickScanCartPointsPosterFormatOutput





# ConfigState ----------------------------------------------------------

if { [lsearch [interp hidden] sickConfigStatePosterRead] >= 0 } {
    interp expose {} sickConfigStatePosterRead
}
if { [lsearch [interp hidden] sickConfigStatePosterFormatOutput] >= 0 } {
    interp expose {} sickConfigStatePosterFormatOutput
}

proc ::sickConfigStatePosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ConfigState" \
	"SICK_SCAN_TASK_STATE State\n" \
	$args ]
}


proc ::sickConfigStatePosterFormatOutput { list } {
    set format { {} status { } State }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickConfigStatePosterRead
interp hide {} sickConfigStatePosterFormatOutput





# ConfigSickMode ----------------------------------------------------------

if { [lsearch [interp hidden] sickConfigSickModePosterRead] >= 0 } {
    interp expose {} sickConfigSickModePosterRead
}
if { [lsearch [interp hidden] sickConfigSickModePosterFormatOutput] >= 0 } {
    interp expose {} sickConfigSickModePosterFormatOutput
}

proc ::sickConfigSickModePosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ConfigSickMode" \
	"SICK_CONTROL_MODES SickMode\n" \
	$args ]
}


proc ::sickConfigSickModePosterFormatOutput { list } {
    set format { {} status { } SickMode }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickConfigSickModePosterRead
interp hide {} sickConfigSickModePosterFormatOutput





# ConfigConfig ----------------------------------------------------------

if { [lsearch [interp hidden] sickConfigConfigPosterRead] >= 0 } {
    interp expose {} sickConfigConfigPosterRead
}
if { [lsearch [interp hidden] sickConfigConfigPosterFormatOutput] >= 0 } {
    interp expose {} sickConfigConfigPosterFormatOutput
}

proc ::sickConfigConfigPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ConfigConfig" \
	"SICK_CONFIG_STR\n| SICK_CONTROL_MODES control_mode\n| SICK_SCANNING_ANGLE_RANGE angle_range\n| SICK_SCANNING_ANGLE_RESOLUTION angle_resolution\n| SICK_MEASURE_LENGTH_RESOLUTION length_resolution\n| SICK_BAUD_RATE baud\n| int length_range_max\n" \
	$args ]
}


proc ::sickConfigConfigPosterFormatOutput { list } {
    set format { {} status { } { Config { } control_mode { } angle_range { } angle_resolution { } length_resolution { } baud { } length_range_max } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickConfigConfigPosterRead
interp hide {} sickConfigConfigPosterFormatOutput





# SegsHeader ----------------------------------------------------------

if { [lsearch [interp hidden] sickSegsHeaderPosterRead] >= 0 } {
    interp expose {} sickSegsHeaderPosterRead
}
if { [lsearch [interp hidden] sickSegsHeaderPosterFormatOutput] >= 0 } {
    interp expose {} sickSegsHeaderPosterFormatOutput
}

proc ::sickSegsHeaderPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "SegsHeader" \
	"SICK_SEG_HEADER\n| int nbSegs\n| int nbLonelyPoints\n| SICK_FRAME frame\n| int unused\n| double dtheta\n| double unused2\n| unsigned int sickTime\n| SICK_BOOL variancesUpdated\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n" \
	$args ]
}


proc ::sickSegsHeaderPosterFormatOutput { list } {
    set format { {} status { } { Header { } nbSegs { } nbLonelyPoints { } frame { } unused { } dtheta { } unused2 { } sickTime { } variancesUpdated { } { sickPomPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSegsHeaderPosterRead
interp hide {} sickSegsHeaderPosterFormatOutput





# SegsSegs ----------------------------------------------------------

if { [lsearch [interp hidden] sickSegsSegsPosterRead] >= 0 } {
    interp expose {} sickSegsSegsPosterRead
}
if { [lsearch [interp hidden] sickSegsSegsPosterFormatOutput] >= 0 } {
    interp expose {} sickSegsSegsPosterFormatOutput
}

proc ::sickSegsSegsPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "SegsSegs" \
	"SICK_SEGS\n| SICK_SEG\n| | double x1\n| | double y1\n| | double x2\n| | double y2\n" \
	$args ]
}


proc ::sickSegsSegsPosterFormatOutput { list } {
    set format { {} status { } { Segs { 100 } { segs { } x1 { } y1 { } x2 { } y2 } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSegsSegsPosterRead
interp hide {} sickSegsSegsPosterFormatOutput





# SegsPoints ----------------------------------------------------------

if { [lsearch [interp hidden] sickSegsPointsPosterRead] >= 0 } {
    interp expose {} sickSegsPointsPosterRead
}
if { [lsearch [interp hidden] sickSegsPointsPosterFormatOutput] >= 0 } {
    interp expose {} sickSegsPointsPosterFormatOutput
}

proc ::sickSegsPointsPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "SegsPoints" \
	"SICK_LONELY_PTS\n| SICK_POINT\n| | double x\n| | double y\n" \
	$args ]
}


proc ::sickSegsPointsPosterFormatOutput { list } {
    set format { {} status { } { Points { 361 } { point { } x { } y } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} sickSegsPointsPosterRead
interp hide {} sickSegsPointsPosterFormatOutput


